﻿Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes

Namespace SudukoArticle.Views
	Partial Public Class InputView
		Inherits UserControl
		Public Sub New()
			InitializeComponent()
		End Sub

		Public Event SendInput As EventHandler

		Private Sub UserInput_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
            Dim inputValue = Integer.Parse((CType(sender, Button)).Tag.ToString())
            If SendInputEvent IsNot Nothing Then
                RaiseEvent SendInput(inputValue, Nothing)
            End If
        End Sub

		Public Sub RotateVertical()
			TopRow.Orientation = Orientation.Vertical
			BottomRow.Orientation = Orientation.Vertical
			OuterPanel.Orientation = Orientation.Horizontal
		End Sub

		Public Sub RotateHorizontal()
			TopRow.Orientation = Orientation.Horizontal
			BottomRow.Orientation = Orientation.Horizontal
			OuterPanel.Orientation = Orientation.Vertical
		End Sub
	End Class
End Namespace
