﻿Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Navigation
Imports System.Windows.Shapes
Imports Microsoft.Phone.Controls
Imports Microsoft.Phone.Shell

Namespace SudukoArticle
	Partial Public Class App
		Inherits Application

		' Easy access to the root frame
        Private _RootFrame As PhoneApplicationFrame
		Public Property RootFrame() As PhoneApplicationFrame
			Get
                Return _RootFrame
			End Get
			Private Set(ByVal value As PhoneApplicationFrame)
                _RootFrame = value
			End Set
		End Property

		' Constructor
		Public Sub New()
			' Global handler for uncaught exceptions. 
			' Note that exceptions thrown by ApplicationBarItem.Click will not get caught here.
			AddHandler UnhandledException, AddressOf Application_UnhandledException

			' Standard Silverlight initialization
			InitializeComponent()

			' Phone-specific initialization
			InitializePhoneApplication()
		End Sub

		' Code to execute when the application is launching (eg, from Start)
		' This code will not execute when the application is reactivated
		Private Sub Application_Launching(ByVal sender As Object, ByVal e As LaunchingEventArgs)
		End Sub

		' Code to execute when the application is activated (brought to foreground)
		' This code will not execute when the application is first launched
		Private Sub Application_Activated(ByVal sender As Object, ByVal e As ActivatedEventArgs)
		End Sub

		' Code to execute when the application is deactivated (sent to background)
		' This code will not execute when the application is closing
		Private Sub Application_Deactivated(ByVal sender As Object, ByVal e As DeactivatedEventArgs)
		End Sub

		' Code to execute when the application is closing (eg, user hit Back)
		' This code will not execute when the application is deactivated
		Private Sub Application_Closing(ByVal sender As Object, ByVal e As ClosingEventArgs)
		End Sub

		' Code to execute if a navigation fails
		Private Sub RootFrame_NavigationFailed(ByVal sender As Object, ByVal e As NavigationFailedEventArgs)
			If Debugger.IsAttached Then
				' A navigation has failed; break into the debugger
				Debugger.Break()
			End If
		End Sub

		' Code to execute on Unhandled Exceptions
        Private Sub Application_UnhandledException(ByVal sender As Object,
                                                   ByVal e As ApplicationUnhandledExceptionEventArgs)
            If Debugger.IsAttached Then
                ' An unhandled exception has occurred; break into the debugger
                Debugger.Break()
            End If
        End Sub

		#Region "Phone application initialization"

		' Avoid double-initialization
		Private phoneApplicationInitialized As Boolean = False

		' Do not add any additional code to this method
		Private Sub InitializePhoneApplication()
			If phoneApplicationInitialized Then
				Return
			End If

			' Create the frame but don't set it as RootVisual yet; this allows the splash
			' screen to remain active until the application is ready to render.
			RootFrame = New PhoneApplicationFrame()
			AddHandler RootFrame.Navigated, AddressOf CompleteInitializePhoneApplication

			' Handle navigation failures
			AddHandler RootFrame.NavigationFailed, AddressOf RootFrame_NavigationFailed

			' Ensure we don't initialize again
			phoneApplicationInitialized = True
		End Sub

		' Do not add any additional code to this method
		Private Sub CompleteInitializePhoneApplication(ByVal sender As Object, ByVal e As NavigationEventArgs)
			' Set the root visual to allow the application to render
			If RootVisual IsNot RootFrame Then
				RootVisual = RootFrame
			End If

			' Remove this handler since it is no longer needed
			RemoveHandler RootFrame.Navigated, AddressOf CompleteInitializePhoneApplication
		End Sub

		#End Region
	End Class
End Namespace
